import Dexie from "dexie";
interface Tag {
    image: number[];
    video: number[];
    text: number[];
    all: number[];
}
export interface UserFeedsProps {
    mid: string;
    uid: string;
    sequence: number;
    authType: number;
    status: number;
    createTime: number;
    type: number;
    contentType: number;
}
declare class MomentUserFeeds {
    static authorize: boolean;
    private db?;
    private userId?;
    private store?;
    Event: {
        hootCommentChange: string;
    };
    tag: Tag;
    constructor();
    init(db: Dexie): void;
    bulkPut(list: UserFeedsProps[]): void;
    getMaxSequenceByUid(uid: string): Promise<number>;
    isVideoMessage(type: number): boolean;
    isImageMessage(type: number): boolean;
    getFeedsByUid(uid: string, lastSequence: number, types: number[], limit?: number, init?: boolean): Promise<UserFeedsProps[]>;
    transformItem({ mid, uid, sequence, auth_type, status, type, create_time, content_type, }: any): UserFeedsProps;
}
export declare const momentUserFeeds: MomentUserFeeds;
export default momentUserFeeds;
